#!/bin/bash

GREEN="\e[32m"
YELLOW="\e[33m"
END="\e[0m\n"

# migration
printf "${YELLOW}Entrypoint: migrations...${END}"
SKIP_DOCKER=true ./init_db.sh
# cleaning
printf "${YELLOW}Entrypoint: cleaning...${END}"
rm -rf ./migrations
rm -rf ./init_db.sh
rm -rf /usr/bin/sqlx
apt-get update -y &> /dev/null
apt-get remove postgresql-client -y &> /dev/null
apt-get autoremove -y &> /dev/null
apt-get clean -y &> /dev/null
rm -rf /var/lib/apt/lists/*
# launch app
printf "${GREEN}Entrypoint: initialization ok! start app...${END}"
exec "$@"